ManagedEndpoint (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.endpoint, class: ManagedEndpoint

Package org.apache.cxf.endpoint

# Class ManagedEndpoint

java.lang.Object
org.apache.cxf.endpoint.ManagedEndpoint

All Implemented Interfaces:
  `ServerLifeCycleListener`, `ManagedComponent`

@ManagedResource(componentName="Endpoint", description="Responsible for managing server instances.") public class ManagedEndpoint extends Object implements ManagedComponent, ServerLifeCycleListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Bus`
  `bus`
  `protected final Endpoint`
  `endpoint`
  `static final String`
  `ENDPOINT_NAME`
  `static final String`
  `INSTANCE_ID`
  `protected final Server`
  `server`
  `static final String`
  `SERVICE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagedEndpoint(Bus b, Endpoint ep, Server s)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `String`
  `getAddress()`
  `ObjectName`
  `getObjectName()`
  `String`
  `getState()`
  `String`
  `getTransportId()`
  `void`
  `start()`
  `void`
  `startServer(Server s)`
  `void`
  `stop()`
  `void`
  `stopServer(Server s)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENDPOINT_NAME

    public static final String ENDPOINT_NAME
    See Also:
      - Constant Field Values

  - ### SERVICE_NAME

    public static final String SERVICE_NAME
    See Also:
      - Constant Field Values

  - ### INSTANCE_ID

    public static final String INSTANCE_ID
    See Also:
      - Constant Field Values

  - ### bus

    protected final Bus bus

  - ### endpoint

    protected final Endpoint endpoint

  - ### server

    protected final Server server

- ## Constructor Details

  - ### ManagedEndpoint

    public ManagedEndpoint(Bus b, Endpoint ep, Server s)

- ## Method Details

  - ### start

    @ManagedOperation public void start()

  - ### stop

    @ManagedOperation public void stop()

  - ### destroy

    @ManagedOperation public void destroy()

  - ### getAddress

    @ManagedAttribute(description="Address Attribute", currencyTimeLimit=60) public String getAddress()

  - ### getTransportId

    @ManagedAttribute(description="TransportId Attribute", currencyTimeLimit=60) public String getTransportId()

  - ### getState

    @ManagedAttribute(description="Server State") public String getState()

  - ### getObjectName

    public ObjectName getObjectName() throws JMException
    Specified by:
      `getObjectName` in interface `ManagedComponent`
    Throws:
      `JMException`

  - ### startServer

    public void startServer(Server s)
    Specified by:
      `startServer` in interface `ServerLifeCycleListener`

  - ### stopServer

    public void stopServer(Server s)
    Specified by:
      `stopServer` in interface `ServerLifeCycleListener`